% Beispiel zur Verwendung von ginput(1).
% Zeichnet eine Strecke vom Nullpunkt zum angeklickten Punkt.
% Mit der rechten Maustaste bricht man die Eingabe ab.

close all; clear; clc;

n = 6;

roots_of_unity = cos(2 * pi * (1:n) / n) + 1i * sin(2 * pi * (1:n) / n);

figure

plot(real(roots_of_unity), imag(roots_of_unity), "x", 0, 0, "o-")
axis([-2 2 -2 2])
axis("square")

% Die Schleife soll erst mit dem Befehl "break" abbrechen.
while true
    % Wenn in das Bild geklickt wird, beschreiben "x" und "y" den Punkt und "button" die Maustaste des Klicks.
    % 1 = linke Maustaste, 2 = mittlere Maustaste, 3 = rechte Maustaste.
    [x, y, button] = ginput(1);

    % Falls nicht der linke Mausbutton gedrückt wurde, soll die Schleife abbrechen.
    if button ~= 1
        break
    end

    % Andernfalls zeichnen wir die Verbindung vom Nullpunkt zu den angeklickten Koordinaten.
    plot(real(roots_of_unity), imag(roots_of_unity), "x", [0, x], [0, y], "o-")
    axis([-2 2 -2 2])
    axis("square")
end
